﻿<%@ Page Language="C#"  %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
     <title></title>
      <meta http-equiv="Content-Type" content="text/html; charset=utf-8">

      <script type="text/javascript" src="https://ecn.dev.virtualearth.net/mapcontrol/mapcontrol.ashx?v=7.0&s=1"></script>
	  <script src="../../ClientGlobalContext.js.aspx" type="text/javascript"></script>
	  <script src="/Webresources/a422_jquery.js" type="text/javascript"></script>
	  <script src="/Webresources/a422_json2.js" type="text/javascript"></script>

      <script type="text/javascript">
          var map = null;
          var qsParm = new Array();
		  var orgName;
		  var orgAddress;
          //var orgName;  //"Test University";
          var key = "AidouiG_1BA_oZJPRHKw6s7c8F7wJzJJmquPv8gUcqfoxlkvtgT-ZSDjWsVq6hct";//AdmissionLab Key
          function GetQStringValues() {
              var query = window.location.search.substring(1);
              var parms = query.split('&');
              for (var i = 0; i < parms.length; i++) {
                  var pos = parms[i].indexOf('=');
                  if (pos > 0) {
                      var key = parms[i].substring(0, pos);
					  if(key == 'orgname')
					  {
                      orgName = parms[i].substring(pos + 1);
                  }
              }
			  if (window.parent.Xrm.Page.getAttribute("a422_address").getValue() != null) {
				
				orgAddress = window.parent.Xrm.Page.getAttribute("a422_address").getValue();
                GetMap();
              }
			}
          }

          function GetMap() {
              // Initialize the map
              map = new Microsoft.Maps.Map(document.getElementById("mapDiv"), { credentials: key, mapTypeId: "r" });
              ClickGeocode();
          }

          function ClickGeocode(credentials) {
              map.getCredentials(MakeGeocodeRequest);
          }

          function MakeGeocodeRequest(credentials) {

              var geocodeRequest = "https://dev.virtualearth.net/REST/v1/Locations/" + orgAddress + "?output=json&jsonp=GeocodeCallback&key=" + credentials;
              CallRestService(geocodeRequest);
          }

          function GeocodeCallback(result) {

              if (result &&
                   result.resourceSets &&
                   result.resourceSets.length > 0 &&
                   result.resourceSets[0].resources &&
                   result.resourceSets[0].resources.length > 0) {
                  // Set the map view using the returned bounding box
                  var bbox = result.resourceSets[0].resources[0].bbox;
                  var viewBoundaries = Microsoft.Maps.LocationRect.fromLocations(new Microsoft.Maps.Location(bbox[0], bbox[1]), new Microsoft.Maps.Location(bbox[2], bbox[3]));
                  map.setView({ bounds: viewBoundaries });

                  // Add a pushpin at the found location
                  var location = new Microsoft.Maps.Location(result.resourceSets[0].resources[0].point.coordinates[0], result.resourceSets[0].resources[0].point.coordinates[1]);
                  var pushpin = new Microsoft.Maps.Pushpin(location);
                  Microsoft.Maps.Pushpin.prototype.title = null;
                  pushpin.title = orgName;
                  Microsoft.Maps.Pushpin.prototype.description = null;
                  pushpin.description = orgAddress;

                  //Add handler for the pushpin click event.
                  Microsoft.Maps.Events.addHandler(pushpin, 'click', displayEventInfo);


                  map.entities.push(pushpin);
                  var brnPrint = document.getElementById('brnPrint');
                  brnPrint.style.visibility = "visible";
              }
          }
          function displayEventInfo(e) {
              if (e.targetType = "pushpin") {
                  var pix = map.tryLocationToPixel(e.target.getLocation(), Microsoft.Maps.PixelReference.control);
                  var infoboxTitle = document.getElementById('infoboxTitle');
                  infoboxTitle.innerHTML = e.target.title;
                  var infoboxDescription = document.getElementById('infoboxDescription');
                  infoboxDescription.innerHTML = e.target.description;
                  var infobox = document.getElementById('infoBox');
                  infobox.style.top = (pix.y - 60) + "px";
                  infoBox.style.left = (pix.x + 5) + "px";
                  infoBox.style.visibility = "visible";
                  document.getElementById('mapDiv').appendChild(infoBox);
              }
          }

          function closeInfoBox() {
              var infobox = document.getElementById('infoBox');
              infoBox.style.visibility = "hidden";
          }


          function CallRestService(request) {
              var script = document.createElement("script");
              script.setAttribute("type", "text/javascript");
              script.setAttribute("src", request);
              document.body.appendChild(script);
          }
          function PrintMap() {

              if (orgAddress != '' && orgAddress != undefined) {
                  var URL = "https://dev.virtualearth.net/REST/V1/Imagery/Map/Road/" + orgAddress + "?mapVersion=v1&mapSize=800,600&zoomLevel=10&key=" + key;
                  window.open(URL, "", "width=1000,height=800", "");
              }
          }
    </script>
</head>
<body onload="GetQStringValues();">
<div style="position:relative;"><input id="brnPrint" type="button" value="Print" onclick="PrintMap();" style="visibility:hidden;" /></div>
    <div id='mapDiv' style="position:absolute; width:98%; height:96%; overflow: auto;">
    
    </div>
    <div id='infoBox' style="visibility:hidden; position:absolute; top:0px; left:0px; width:260px; z-index:10000; font-family:Arial; font-size:10px">
         <div id='infoboxText' style="background-color:White; border-style:solid; border-width:medium; border-color:DarkOrange; min-height:100px; position:absolute; top:0px; left:23px; width:280px; ">
            <b><u id='infoboxTitle' style="position:absolute; top:10px; left:10px; width:260px; font-size:14px; color:Blue;"></u></b>
            <img src="./imgs/close.jpg" alt="close" onclick="closeInfoBox()" style="position:absolute;top:10px; right:10px;" />
            <a id='infoboxDescription' style="position:absolute; top:30px; left:10px; width:260px; font-size:10px;color:Gray; "></a>
        </div>
      </div> 
  <%--  <input id="txtWhere" type="text" name="txtWhere">
    <input id="find" type="button" value="Find" name="find" onclick="Find();">--%>
    <%--<input id="txtAddress" type="hidden" name="txtAddress" runat="server"/>--%>
</body>
</html>

